---
title: Product
slug: bluecartapi/walmart-product-data-api/parameters/product
docTags: 
createdAt: 2024-07-27T17:51:31.971Z
---

# Product Parameters

<font color="#52c41a">`GET`</font>  `/request`

The Product Parameters are applicable when making a request with  `type=product`  to retrieve details of a single product on Walmart - the product is specified using either the  `item_id`  parameter or the  `url`  parameter (where the  `url`  parameter contains a link to a Walmart product page). The parameters should be appended as querystring parameters to the Walmart Product Data API `GET` HTTP request.

Product details are retrieved from the [product page](https://www.walmart.com/ip/782866746) for a single product on Walmart.

![](https://apiimages.imgix.net/bluecartapi/images/png/docs/product.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Product Page")

For example, to request details a product with  `item_id=782866746`  in the zipcode  `77001`  on  `walmart.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.bluecartapi.com/request?api_key=demo&type=product&item_id=782866746&customer_zipcode=77001
```

```curl
curl -L --get https://api.bluecartapi.com/request \
-d api_key="demo" \
-d type="product" \
-d item_id="782866746" \
-d customer_zipcode="77001"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "product",
  item_id: "782866746",
  customer_zipcode: "77001"
}

// make the http GET request to BlueCart API
axios.get('https://api.bluecartapi.com/request', { params })
  .then(response => {

    // print the JSON response from BlueCart API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'product',
  'item_id': '782866746',
  'customer_zipcode': '77001'
}

# make the http GET request to BlueCart API
api_result = requests.get('https://api.bluecartapi.com/request', params)

# print the JSON response from BlueCart API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'product',
  'item_id' => '782866746',
  'customer_zipcode' => '77001'
]);

# make the http GET request to BlueCart API
$ch = curl_init(sprintf('%s?%s', 'https://api.bluecartapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from BlueCart API
echo $api_result;

?>
```
:::

***

### Product Parameters

The following parameters are available for all requests made when  `type=product` .

| *`Parameter`*                             | *`Required`* | *`Description`*                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ----------------------------------------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `walmart_domain`                          | `optional`   | The Walmart domain to target. The value of the walmart\_domain parameeter determines which additional parameters are available. For example, `walmart.ca` supports only `type=search` and `type= product` at this time. <br />defaults to `walmart.com`<br />Valid values for `walmart_domain` are:<br />1. `walmart_domain=walmart.com`<br />2. target walmart.com domain<br /><br />1. `walmart_domain=walmart.ca`<br />2. target walmart.ca domain                                                                                                                                                            |
| *`item_id`*                               | *`optional`* | The Walmart Item ID to retrieve product details for.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| *`gtin`*                                  | *`optional`* | The GTIN/ISBN/UPC code to look up a matching product on Walmart for. If the `gtin` parameter is supplied then the `item_id` parameter is ignored. GTIN-based requests work by looking up the GTIN/ISBN/UPC on Walmart first, then retrieving the product details for the first matching `item_id` .                                                                                                                                                                                                                                                                                                              |
| `store_id`<br />`walmart.com`<br /><br /> | *`optional`* | To use the store\_id parameter, you must [look up the store](https://docs.trajectdata.com/bluecartapi/store-ids) you want to target your request. <br />**Note**: this is optional for .com. If you include a store\_id param, it cannot be combined with customer\_zipcode. this does not require any setup.                                                                                                                                                                                                                                                                                                    |
| `store_id`<br />`walmart.ca`              | `required`   | To use the store\_id parameter, you must [look up the store](https://docs.trajectdata.com/bluecartapi/store-ids) you want to target your request. <br />**Note**: `store_id` is required for `type=product`when `walmart_domain=walmart.ca`                                                                                                                                                                                                                                                                                                                                                                      |
| url                                       | optional     | The Walmart product-page URL to retrieve product details from.  <br />**Note** : If the `url` parameter is supplied then the `item_id` and `gtin` parameters are ignored (the `url` overrides other parameters).                                                                                                                                                                                                                                                                                                                                                                                                 |
| *`include_html`*                          | *`optional`* | Determines whether raw HTML is included in the response (this can increase the size of the response). Can be set to `true` or `false` (the default).  <br />**Note** When adding requests with `include_html=true` to a Collection the maximum number of requests is lower (100) because including the HTML within the response makes the Collection Result Sets much larger. The limit is in place to ensure Result Set files are of a manageable size. If you have need to run a large number of requests all with `include_html=true` then simply split the requests across multiple 100-request Collections. |

***

**Next Steps**
     [Product Results](https://docs.trajectdata.com/bluecartapi/walmart-product-data-api/results/product)
